let operatorfunctions = {
    getOperatorLogo(operator){
        if (!operator){
          return (null);
        } else if (operator.id.startsWith("db-regio") || operator.id === "regionalverkehr-alb-bodensee"){
          return new URL('../assets/logos/dbregio.svg', import.meta.url);
        } else if (operator.id.startsWith("db-")){
          return new URL('../assets/logos/db.svg', import.meta.url);
        } else if (operator.id === "national-express"){
          return new URL('../assets/logos/nationalexpress.svg', import.meta.url);
        } else if (operator.id === "eurobahn"){
          return new URL('../assets/logos/eurobahn.svg', import.meta.url);
        } else if (operator.id === "schweizerische-bundesbahnen" || operator.id === "sbb-gmbh"){
          return new URL('../assets/logos/sbb.svg', import.meta.url);
        } else if (operator.id === "verkehrsbetriebe-zurich"){
          return new URL('../assets/logos/vbz.svg', import.meta.url);
        } else if (operator.id === "thurbo"){
          return new URL('../assets/logos/thurbo.svg', import.meta.url);
        } else if (operator.id === "arverio-baden-wurttemberg"){
          return new URL('../assets/logos/avi-bw.svg', import.meta.url);
        } else if (operator.id === "arverio-bayern"){
          return new URL('../assets/logos/avi-by.svg', import.meta.url);        
        } else if (operator.id === "euskotren"){
          return new URL('../assets/logos/euskotren.svg', import.meta.url);
        } else if (operator.id.startsWith("arriva")){
          return new URL('../assets/logos/arriva.svg', import.meta.url);        
        } else if (operator.id.startsWith("abellio")){
          return new URL('../assets/logos/abellio.png', import.meta.url);        
        } else if (operator.id === "nederlandse-spoorwegen"){
          return new URL('../assets/logos/ns.svg', import.meta.url);
        } else if (operator.id === "blauwnet"){
          return new URL('../assets/logos/blauwnet.png', import.meta.url);
        } else if (operator.id === "waldbahn-die-landerbahn-gmbh-dlb"){
          return new URL('../assets/logos/waldbahn.png', import.meta.url);
        } else if (operator.id === "ostdeutsche-eisenbahn-gmbh"){
          return new URL('../assets/logos/odeg.svg', import.meta.url);
        } else if (operator.id === "trenitalia"){
          return new URL('../assets/logos/trenitalia.svg', import.meta.url);
        } else if (operator.id === "osterreichische-bundesbahnen"){
          return new URL('../assets/logos/oebb.svg', import.meta.url);
        } else if (operator.id === "sj"){
          return new URL('../assets/logos/sj.svg', import.meta.url);
        } else if (operator.id === "vy"){
          return new URL('../assets/logos/vy.svg', import.meta.url);
        } else if (operator.id === "danische-staatsbahnen"){
          return new URL('../assets/logos/dsb.png', import.meta.url);
        } else if (operator.id === "skanetrafiken-oresundstag"){
          return new URL('../assets/logos/oresundtag.svg', import.meta.url);
        } else if (operator.id === "schweizerische-sudostbahn-sob"){
          return new URL('../assets/logos/sob.svg', import.meta.url);
        } else if (operator.id === "sncf"){
          return new URL('../assets/logos/sncf.svg', import.meta.url);
        } else if (operator.id === "mitteldeutsche-regiobahn"){
          return new URL('../assets/logos/mrb.svg', import.meta.url);
        } else if (operator.id === "cp"){
          return new URL('../assets/logos/cp-pt.svg', import.meta.url);
        } else if (operator.id === "renfe"){
          return new URL('../assets/logos/renfe.svg', import.meta.url);
        } else if (operator.id.startsWith("sncf-voyages")){
          return new URL('../assets/logos/sncf-voyageurs.svg', import.meta.url);
        } else if (operator.id === "pkp-intercity"){
          return new URL('../assets/logos/pkp-i.svg', import.meta.url);
        } else if (operator.id === "bayerische-regiobahn"){
          return new URL('../assets/logos/brb.svg', import.meta.url);
        } else if (operator.id === "postauto-schweiz"){
          return new URL('../assets/logos/postauto.svg', import.meta.url);
        } else if (operator.id === "lner-london-north-eastern-railway"){
          return new URL('../assets/logos/lner.svg', import.meta.url);
        } else if (operator.id === "eurostar"){
          return new URL('../assets/logos/eurostar.svg', import.meta.url);
        } else if (operator.id === "european-sleeper"){
          return new URL('../assets/logos/europesleep.svg', import.meta.url);
        } else if (operator.id === "ceske-drahy"){
          return new URL('../assets/logos/cd.svg', import.meta.url);
        } else if (operator.id === "mav"){
          return new URL('../assets/logos/mav.svg', import.meta.url);
        } else if (operator.id === "serbische-eisenbahnen-zeleznice-srbije"){
          return new URL('../assets/logos/zsrbije.png', import.meta.url);
        } else if (operator.id === "sncb"){
          return new URL('../assets/logos/sncb.svg', import.meta.url);
        } else if (operator.id === "cfl" || operator.id ==="chemins-de-fer-luxembourgeois"){
          return new URL('../assets/logos/cfl.svg', import.meta.url);
        } else if (operator.id.startsWith("s-bahn-berlin")){
          return new URL('../assets/logos/sbahnberlin.svg', import.meta.url);
        } else if (operator.id === "rhatische-bahn"){
          return new URL('../assets/logos/rhb.svg', import.meta.url);
        } else if (operator.id === "matterhorn-gotthard-bahn-bvz"){
          return new URL('../assets/logos/mgb.svg', import.meta.url);
        } else if (operator.id === "s-bahn-hamburg"){
          return new URL('../assets/logos/sbahnhamburg.png', import.meta.url);
        } else if (operator.id === "akn-eisenbahn-gmbh"){
          return new URL('../assets/logos/akn.svg', import.meta.url);
        } else if (operator.id === "wurttembergische-eisenbahn-gesellschaft-mbh"){
          return new URL('../assets/logos/weg.svg', import.meta.url);
        } else if (operator.id === "wynental-und-suhrental-bahn" || operator.id === "bdwm-transport"){
          return new URL('../assets/logos/ava.svg', import.meta.url);
        } else if (operator.id === "appenzeller-bahnen"){
          return new URL('../assets/logos/ab.svg', import.meta.url);
        } else if (operator.id === "agilis"){
          return new URL('../assets/logos/agilis.svg', import.meta.url);
        } else if (operator.id === "hzpp"){
          return new URL('../assets/logos/hzpp.png', import.meta.url);
        } else if (operator.id === "obb-postbus"){
          return new URL('../assets/logos/oebb-postbus.png', import.meta.url);
        } else if (operator.id === "snalltaget"){
          return new URL('../assets/logos/snalltaget.svg', import.meta.url);
        } else if (operator.id === "schwabische-alb-bahn"){
          return new URL('../assets/logos/sab.svg', import.meta.url);
        } else if (operator.id.startsWith("sweg-bahn")){
          return new URL('../assets/logos/sweg.svg', import.meta.url);
        } else if (operator.id === "ferrocarils-de-la-generalitat-de-catalunya"){
          return new URL('../assets/logos/fgc.svg', import.meta.url);
        } else if (operator.id === "albtal-verkehrs-gesellschaft-mbh"){
          return new URL('../assets/logos/avg.svg', import.meta.url);
        } else if (operator.id === "westfalenbahn"){
          return new URL('../assets/logos/wfb.png', import.meta.url);
        } else if (operator.id === "coras-iompair-eireann"){
          return new URL('../assets/logos/cie.svg', import.meta.url);
        } else if (operator.id === "avanti-west-coast"){
          return new URL('../assets/logos/avantiwc.svg', import.meta.url);
        } else if (operator.id === "koleje-dolnoslaskie"){
          return new URL('../assets/logos/kolejed.svg', import.meta.url);
        } else if (operator.id === "trilex-express-die-landerbahn-gmbh-dlb"){
          return new URL('../assets/logos/trilex.png', import.meta.url);
        } else if (operator.id === "polregio"){
          return new URL('../assets/logos/polregio.svg', import.meta.url);
        } else if (operator.id === "bayerische-zugspitzbahn"){
          return new URL('../assets/logos/zugspitze.svg', import.meta.url);
        } else if (operator.id === "rigi-bahnen"){
          return new URL('../assets/logos/rigi.svg', import.meta.url);
        } else if (operator.id === "regionalverkehr-bern-solothurn"){
          return new URL('../assets/logos/rbs.svg', import.meta.url);
        } else if (operator.id === "zentralbahn"){
          return new URL('../assets/logos/zb.svg', import.meta.url);
        } else if (operator.id === "bls-ag"){
          return new URL('../assets/logos/bernmobil.svg', import.meta.url);
        } else if (operator.id === "westbahn"){
          return new URL('../assets/logos/westbahn.svg', import.meta.url);
        } else if (operator.id === "northern"){
          return new URL('../assets/logos/northern.svg', import.meta.url);
        } else if (operator.id === "south-eastern"){
          return new URL('../assets/logos/southeastern.svg', import.meta.url);
        } else if (operator.id === "hull-trains"){
          return new URL('../assets/logos/hulltrains.svg', import.meta.url);
        } else if (operator.id === "schweizerische-bodensee-schiffahrtsgesellschaft"){
          return new URL('../assets/logos/bodenseech.png', import.meta.url);
        } else if (operator.id === "bodensee-schiffsbetriebe"){
          return new URL('../assets/logos/bsb.svg', import.meta.url);
        } else if (operator.id === "regiojet"){
          return new URL('../assets/logos/regiojet.svg', import.meta.url);
        } else if (operator.id === "edzards-reisen"){
          return new URL('../assets/logos/edzards.svg', import.meta.url);
        } else if (operator.id === "vlexx"){
          return new URL('../assets/logos/vlexx.png', import.meta.url);
        } else if (operator.id === "nordwestbahn"){
          return new URL('../assets/logos/nordwestbahn.svg', import.meta.url);
        } else if (operator.id === "caledonian-macbrayne-ferries"){
          return new URL('../assets/logos/caledonian-macbrayne.svg', import.meta.url);
        } else if (operator.id === "caledonian-sleeper"){
          return new URL('../assets/logos/caledonian-sleeper.png', import.meta.url);
        } else if (operator.id === "mecklenburgische-baderbahn-molli"){
          return new URL('../assets/logos/molli.svg', import.meta.url);
        } else if (operator.id === "berliner-verkehrsbetriebe"){
          return new URL('../assets/logos/bvg_berlin.svg', import.meta.url);
        } else if (operator.id === "ville-de-luxembourg-service-autobus"){
          return new URL('../assets/logos/avl_lux.svg', import.meta.url);
        } else if (operator.id === "regime-general-des-transports-routiers"){
          return new URL('../assets/logos/rgtr.svg', import.meta.url);
        } else {
          console.log(operator.id);
          return (null);
        }
    }
}
export default operatorfunctions;
